<?php
 /* script returns certain snmp values on unix/linux machines
    script uses snmpcounter.php for snmp data retrieval
    usage: "php gather.php [0,1,2]"
			     - will return incoming icmp-echo packets count
    author: amnesiac@netzond.com
 */

 DEFINE('IP','127.0.0.1',true);
 DEFINE('COMM','public',true);

 include('snmpcounter.php');

 if (isset($_REQUEST['demo']) && !empty($_REQUEST['demo'])) $key=$_REQUEST['demo'];
 if (isset($argv[1]) && !empty($argv[1])) $key=$argv[1];

 switch ($key) {
    case 0:
	//SNMP ICMP IN-ECHO COUNTER
	$oid='icmp.icmpInEchos.0';
	$result=snmp_data(IP,COMM,$oid);
	echo $result[0]."\n";
	break;
    case 1:
	//SNMP TCP ESTABLISHED SESSIONS COUNTER
	$oid='tcp.tcpCurrEstab.0';
	$result=snmp_data(IP,COMM,$oid);
	echo $result[0]."\n";
	break;
    case 2:
	//SNMP TCP IN-SEGMENTS
	$oid='tcp.tcpInSegs.0';$r=5;$m=1;
	$counter['prev']=snmp_data(IP,COMM,$oid);
	sleep($r);
	$counter['curr']=snmp_data(IP,COMM,$oid);
	$result=floor($m*($counter['curr'][0] - $counter['prev'][0]) / ($counter['prev'][1]/2+$counter['curr'][1]/2+$r))."\n";
	echo $result;
	break;
    default;
	echo "0\n";
    break;
 }

 
?>
